@echo off
REM  This is a batch file which can be used to check the sample-program 
REM  regression-data created when an IMCROSS software snapshot is made. 
REM  The progam is targeted at Windows.

REM  Anyhow, the assumption is that this batch file and all of the input data
REM  files and theoretical output files have been packaged together into
REM  a single directory that we have complete authority over.

echo ========================================================
echo Regression report from sample programs running on target system.
echo IMCROSS VERSION = @IMCROSS_VERSION@
date /T

echo ========================================================
echo Data about test machine:
systeminfo
ver
echo ========================================================
echo Data from regression tests.

echo ---
echo sample_CommandLine:
sample_CommandLine >actual_CommandLine
fc output_CommandLine actual_CommandLine

echo ---
echo sample_Fortran:
echo 3 4 5 | sample_Fortran >actual_Fortran
echo 4 5 6 | sample_Fortran >>actual_Fortran
echo 5 6 7 | sample_Fortran >>actual_Fortran
echo 4 5 3 | sample_Fortran >>actual_Fortran
echo 5 3 4 | sample_Fortran >>actual_Fortran
echo 5 5 5 | sample_Fortran >>actual_Fortran
fc output_Fortran actual_Fortran

echo ---
echo sample_libxml2:
sample_libxml2 input_libxml2 >actual_libxml2
fc output_libxml2 actual_libxml2

echo ---
echo sample_Objective-C:
sample_Objective-C >actual_Objective-C
fc output_Objective-C actual_Objective-C

echo ---
echo sample_Objective-C-2:
sample_Objective-C-2 >actual_Objective-C-2
fc output_Objective-C-2 actual_Objective-C-2

echo ---
echo sample_pthreads:
sort <output_pthreads >output_pthreads_corrected
sample_pthreads | sort >actual_pthreads
fc output_pthreads_corrected actual_pthreads

echo ---
echo sample_pthreads_dynamic:
sample_pthreads_dynamic | sort >actual_pthreads_dynamic
fc output_pthreads_corrected actual_pthreads_dynamic

echo ---
echo sample_RegularExpressions:
sample_RegularExpressions --pattern=macosx --file=input_RegularExpressions >actual_RegularExpressions
sample_RegularExpressions "--pattern=07:14" --file=input_RegularExpressions >>actual_RegularExpressions
sample_RegularExpressions --pattern=wxWidgets --file=input_RegularExpressions >>actual_RegularExpressions
fc output_RegularExpressions actual_RegularExpressions

echo ---
echo sample_zlib:
copy input_libxml2 output_zlib
copy input_zlib.gz actual_zlib.gz
sample_zlib actual_zlib.gz
fc output_zlib actual_zlib

